Bug 1778174 - [UI] The foreman templates tooltips needs some improvements
Summary: [UI] The foreman templates tooltips needs some improvements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Templates Plugin
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: 6.7.0
Assignee: Ondřej Pražák
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1778146
TreeView+ depends on / blocked
 
Reported: 2019-11-29 12:32 UTC by Jitendra Yejare
Modified: 2020-04-14 13:28 UTC (History)
3 users (show)

Fixed In Version: rubygem-foreman_templates-7.0.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:44 UTC
Target Upstream Version:
jyejare: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28419 Normal Closed [UI] The foreman templates tooltips needs some improvements 2020-06-12 09:43:04 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:00 UTC

Description Jitendra Yejare 2019-11-29 12:32:25 UTC
Description of problem:
The tooltips of export and import page/options need improvement. 

Version-Release number of selected component (if applicable):
Satellite 6.3 snap 3

How reproducible:
Always

Steps to Reproduce:
1. Go to the Foreman Templates export and import page in UI and from Hosts -> Templates -> Sync Templates.
2. Check out the tooltips of all export and import options.


Expected results:
The tooltips need improvements as follows:

1. The export error shows "satellite" user instead of foreman :
Error! Using file-based synchronization,  but couldn't access /root/jit. Please check the access  permissions/SELinux and make sure it is readable/writable for the web  application user account, typically 'foreman'.

2. Filter, Negate and Repo tooltip is showing "import and export" info in both options. -It should show import for import and export for export but not both for any one option.

3. Remove question mark from force import tooltip.

4. Perging tooltip for 'negate' option needs to removed from both export and import.

5. The prefix tooltip should be modified with 'will be prepended with'.

Comment 3 Ondřej Pražák 2019-12-04 15:09:52 UTC
Created redmine issue https://projects.theforeman.org/issues/28419 from this bug

Comment 4 Bryan Kearney 2019-12-04 17:03:55 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 5 Bryan Kearney 2019-12-04 17:03:56 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 6 Bryan Kearney 2019-12-11 13:03:29 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28419 has been resolved.

Comment 7 Jitendra Yejare 2019-12-17 14:55:25 UTC
Verified!

@ Satellite 6.7 snap 6


Steps:
-----------
1. Go to the Foreman Templates export and import page in UI and from Hosts -> Templates -> Sync Templates.
2. Check out the tooltips of all export and import options.


Observation:
----------------
The tooltips are improved for all the said options in description of the bug. Only the Force option tooltip (in point 3) is not modified but thats really minor and accepted.

Comment 10 errata-xmlrpc 2020-04-14 13:27:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.